Package com.ocient.jdbc.proto

## Enum ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase

- java.lang.Object
- - java.lang.Enum<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>
  - - com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>`

Enclosing class:
  ClientWireProtocol.FetchSystemMetadataResponse

    public static enum ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase
    extends Enum<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`INT_VAL`
`RESULT_SET_VAL`
`RESULTONEOF_NOT_SET`
`STRING_VAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` `forNumber​(int value)`
`int` `getNumber()`
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` `valueOf​(int value)` Deprecated.
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RESULT_SET_VAL

    public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase RESULT_SET_VAL

#### STRING_VAL

    public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase STRING_VAL

#### INT_VAL

    public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase INT_VAL

#### RESULTONEOF_NOT_SET

    public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase RESULTONEOF_NOT_SET

### Method Detail

#### values

    public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase c : ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`